Bug 442547 - CD-ROM Disc nautilus icon shows up with usb storage device plugged in
CD-ROM Disc nautilus icon shows up with usb storage device plugged in
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: hal (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2008-04-15 10:29 EDT by Cameron Meadors
Modified: 2013-03-05 22:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-12 06:50:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gnome-volume-manager output (4.05 KB, text/plain)
2008-04-15 10:31 EDT, Cameron Meadors
no flags Details

  None (edit)
Description Cameron Meadors 2008-04-15 10:29:21 EDT
When I plug in a usb mass storage device, I get both the correct icon (3.8.GB
Removable Volume) and the CD-ROM Disc icon.  The usb device is accessible via
nautilus and I can eject it.  I will attach the gnome-volume-manager output.
Comment 1 Cameron Meadors 2008-04-15 10:31:02 EDT
Created attachment 302461 [details]
gnome-volume-manager  output
Comment 2 Cameron Meadors 2008-04-15 10:33:47 EDT
Doesn't happen with all devices.  So far it is only the SanDisk 4GB cruzer which
is the one in the log.  Tried also with a Lexar JumpDrive and usb microdrive.
Comment 3 David Zeuthen 2008-04-15 12:34:27 EDT
This technically isn't a bug; it's just some vendors putting in two LUN's on the
device. In fact, your system is working as expected. Anyway, see bug 208521 for
details. As comment 12 bug 208521 indicates we have a way of dealing with this
in hal so I'm reassigning this bug.
Comment 4 Richard Hughes 2009-01-21 06:13:48 EST
I think you've got a U3 device. See http://www.u3.com/

If you run the removal tool, you can remove the second hidden partition and use it like a normal usb key. I think HAL is doing the right thing here.
Comment 5 Richard Hughes 2009-01-21 06:19:28 EST
Can you please close this bug if the U3 removal tool fixes this. Thanks.

Note You need to log in before you can comment on or make changes to this bug.